[Pcsclite-git-commit] [contrib] 01/01: list_pcsc_applications.sh: list all the applications using PC/SC

Ludovic Rousseau rousseau at moszumanska.debian.org
Thu Sep 28 15:43:22 UTC 2017


This is an automated email from the git hooks/post-receive script.

rousseau pushed a commit to branch master
in repository contrib.

commit 145cc3085afba157024ac5dbd0e7ac4899c9120c
Author: Ludovic Rousseau <ludovic.rousseau at free.fr>
Date:   Thu Sep 28 14:43:15 2017 +0200

    list_pcsc_applications.sh: list all the applications using PC/SC
---
 list_pcsc_applications.sh | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/list_pcsc_applications.sh b/list_pcsc_applications.sh
new file mode 100755
index 0000000..be6cbd7
--- /dev/null
+++ b/list_pcsc_applications.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+#   list_pcsc_applications.sh: list all the applications using PC/SC
+#   Copyright (C) 2017  Ludovic Rousseau
+
+#   This program is free software; you can redistribute it and/or modify
+#   it under the terms of the GNU General Public License as published by
+#   the Free Software Foundation; either version 2 of the License, or
+#   (at your option) any later version.
+#
+#   This program is distributed in the hope that it will be useful,
+#   but WITHOUT ANY WARRANTY; without even the implied warranty of
+#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#   GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public License along
+#   with this program; if not, write to the Free Software Foundation, Inc.,
+#   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+if ! cat /proc/1/maps &> /dev/null
+then
+	echo "Run as root to get a complete list"
+fi
+
+cd /proc
+
+for p in [0-9]*
+do
+	if grep libpcsclite.so.1.0.0 $p/maps &> /dev/null
+	then
+		echo -n "process: " 
+		cat $p/cmdline
+		echo " ($p)"
+	fi
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pcsclite/contrib.git



More information about the Pcsclite-cvs-commit mailing list